---
title: Get Async Payment Instruction Request Status
slug: api/get-async-payment-instruction-request-status
docTags: 
createdAt: 2025-01-12T22:58:57.989Z
---

{
  "id": "o4kLNbode_2RODAqX6jLP",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstructionAsync/request/{uniqueRequestId}",
    "servers": [
      {
        "url": "https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstructionAsync/request/{uniqueRequestId}",
        "description": "Sandbox URL"
      },
      {
        "url": "https://api.monoova.com/au/payto/pas-v1/PaymentInstructionAsync/request/{uniqueRequestId}",
        "description": "Production URL"
      }
    ],
    "name": "Get Async Payment Instruction Request Status",
    "description": "<p>Queries the status of an asynchronous API request, such as \"Initiate Payment Async\". This endpoint requires the uniqueRequestId returned by the original Async API call.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "uniqueRequestId",
          "type": "string",
          "description": "Must be the UniqueRequestId returned by a previous async request."
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "BearerAuth",
          "name": "BearerAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "AsyncJobResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "description": "Unique id for logging",
                "example": ""
              },
              {
                "name": "uniqueRequestId",
                "kind": "optional",
                "type": "string",
                "description": "Server generated unique request identifier.",
                "example": ""
              },
              {
                "name": "paymentInitiationUID",
                "kind": "optional",
                "type": "string",
                "description": "User supplied PIR identifier.",
                "example": ""
              },
              {
                "name": "location",
                "kind": "optional",
                "type": "string",
                "description": "On async job completion, location contains the URL of the created resource.",
                "example": ""
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<Accepted | Processing | Completed | Failed | Expired>",
                "description": "Current status of the request.",
                "example": ""
              },
              {
                "name": "errorCode",
                "kind": "optional",
                "type": "string",
                "description": "On failure, error code indicating the reason for failure.",
                "example": ""
              },
              {
                "name": "errorMessage",
                "kind": "optional",
                "type": "string",
                "description": "On failure, detailed message explaining the reason for failure.",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/AsyncJobResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "201",
        "description": "Created",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "AsyncJobResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "description": "Unique id for logging",
                "example": ""
              },
              {
                "name": "uniqueRequestId",
                "kind": "optional",
                "type": "string",
                "description": "Server generated unique request identifier.",
                "example": ""
              },
              {
                "name": "paymentInitiationUID",
                "kind": "optional",
                "type": "string",
                "description": "User supplied PIR identifier.",
                "example": ""
              },
              {
                "name": "location",
                "kind": "optional",
                "type": "string",
                "description": "On async job completion, location contains the URL of the created resource.",
                "example": ""
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<Accepted | Processing | Completed | Failed | Expired>",
                "description": "Current status of the request.",
                "example": ""
              },
              {
                "name": "errorCode",
                "kind": "optional",
                "type": "string",
                "description": "On failure, error code indicating the reason for failure.",
                "example": ""
              },
              {
                "name": "errorMessage",
                "kind": "optional",
                "type": "string",
                "description": "On failure, detailed message explaining the reason for failure.",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/AsyncJobResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "description": "Unique id for logging",
                "example": ""
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/ErrorDto",
                "customType": "ErrorDto[]",
                "schema": [
                  {
                    "name": "errorCode",
                    "kind": "optional",
                    "type": "string<PAS_IN_PROGRESS_STATUS | PAS_REQ_BODY_INVALID | PAS_VALIDATION_ERROR | PAS_FORBIDDEN_ERROR | PAS_STARTDATE_REQUIRED | PAS_STARTDATE_INVALID | PAS_STATUS_INVALID | PAS_ENDDATE_INVALID | PAS_ENDDATE_EXCEEDED | PAS_PMT_UID_INVALID | PAS_PMT_UID_REQUIRED | PAS_PMTID_REQUIRED | PAS_REQUEST_EMPTY | PAS_ACCTID_REQUIRED | PAS_ACCT_NOT_FOUND_ERROR | PAS_PAGID_REQUIRED | PAS_PAGID_INVALID | PAS_PMTDTL_REQUIRED | PAS_TRNSTS_REQUIRED | PAS_TRNSTS_INVALID | PAS_PAYEE_EMPTY | PAS_PAYEE_MISSING | PAS_PAYEE_ACCT_MISSING | PAS_DUP_PAYEE | PAS_PAYEE_TYPE_INVALID | PAS_PAYEE_PAYID_TYPE_FORBIDDEN | PAS_PAYEE_BSB_REQUIRED | PAS_PAYEE_BSB_INVALID | PAS_PAYEE_ACCT_REQUIRED | PAS_PAYEE_ACCT_LENGTH | PAS_PAYEE_ACCT_ZERO | PAS_PAYEE_ACCT_INVALID | PAS_PAYEE_PAYID_TYPE_REQUIRED | PAS_PAYEE_PAYID_TYPE_INVALID | PAS_PAYEE_ID_INVALID | PAS_PAYEE_FORBIDDEN | PAS_PAYEE_BSB_FORBIDDEN | PAS_PAYEE_ACCT_FORBIDDEN | PAS_PAYEE_ACCTNAME_FORBIDDEN | PAS_PAYEE_ACCTNAME_RESTRICTED | PAS_DEFAULT_PAYEE_ACCT_NAME_REQUIRED | PAS_ULT_PAYEE_FORBIDDEN | PAS_ULT_PAYEE_RESTRICTED | PAS_PAYEE_ACCTNAME_REQUIRED | PAS_PAYEE_ACCTNAME_LENGTH | PAS_PAYEE_ACCTNAME_INVALID | PAS_ULT_PAYEE_REQUIRED | PAS_ULT_PAYEE_LENGTH | PAS_ULT_PAYEE_INVALID | PAS_AMT_REQUIRED | PAS_AMT_INVALID | PAS_REF_INVALID | PAS_SUPERID_REQUIRED | PAS_SUPERID_INVALID | PAS_SUPERCODE_REQUIRED | PAS_SUPERCODE_INVALID | PAS_BUSINESS_RULE_ERROR | PAS_COUNT_LIMIT_UNDEFINED | PAS_COUNT_LIMIT_EXCEEDED | PAS_AMOUNT_ERROR | PAS_ACC_PRD_LIMIT_EXCEEDED | PAS_MAX_AMT_EXCEEDED | PAS_MAX_TRN_AMT_EXCEEDED | PAS_MAX_TRN_CURR_INVALID | PAS_AMT_EXCEEDED | PAS_PERIOD_COUNT_EXCEEDED | PAS_AMOUNT_MISMATCH | PAS_PAYEE_BSB_NOT_ALLOWED | PAS_LIMIT_UNAVAILABLE | PAS_AGREEMENT_INVALID | PAS_AGREEMENT_NOT_STARTED | PAS_AGREEMENT_POINTINTIME_NOT_REACHED | PAS_AGREEMENT_ENDED | PAS_AGREEMENT_STATUS_INACTIVE | PAS_PAYMENT_TOO_SOON | PAS_DUPLICATE_INSTRUCTION | PAS_INSTRUCTION_NOT_UNIQUE | PAS_PIR_UPSERT_ERROR | PAS_FAIL_LIMIT_EXCEEDED | PAS_INSTRUCTION_NOT_FOUND | PAS_INSTRUCTION_DUPLICATE_REFUND | PAS_AGREEMENT_NOT_FOUND | PAS_JOB_EXISTS | PAS_JOB_NOT_FOUND_ERROR | PAS_JOBID_INVALID | PAS_SCHEDID_INVALID | PAS_NPP_GATEWAY_ERROR | PAS_NPP_GATEWAY_TIMEOUT | PAS_NPP_GATEWAY_NORESPONSE | PAS_NPP_GW_MGR_TIMEOUT | PAS_NPP_GW_MGR_NORESPONSE | PAS_DATA_UPDATE_ERROR | PAS_DATA_DELETE_ERROR | PAS_MAPPING_ERROR | PAS_APPLICATION_ERROR | PAS_IID_NOT_UNIQUE | PAS_LIMIT_RESET_ERROR | PAS_PAM_TIMEOUT_ERROR | PAS_TMR_TIMEOUT_ERROR | PAS_TMR_SYSTEM_ERROR | PAS_JOB_CREATE_ERROR | PAS_JOB_UPDATE_ERROR | PAS_JOB_EXPIRED | PAS_SCHEDULE_ERROR | PAS_UNEXPECTED_ERROR | PAS_DUPLICATE_EVENT>",
                    "description": "Monoova error code",
                    "example": ""
                  },
                  {
                    "name": "errorMessage",
                    "kind": "optional",
                    "type": "string",
                    "description": "More detailed description of the specific error which may include information from the specific request.",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "description": "Unique id for logging",
                "example": ""
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/ErrorDto",
                "customType": "ErrorDto[]",
                "schema": [
                  {
                    "name": "errorCode",
                    "kind": "optional",
                    "type": "string<PAS_IN_PROGRESS_STATUS | PAS_REQ_BODY_INVALID | PAS_VALIDATION_ERROR | PAS_FORBIDDEN_ERROR | PAS_STARTDATE_REQUIRED | PAS_STARTDATE_INVALID | PAS_STATUS_INVALID | PAS_ENDDATE_INVALID | PAS_ENDDATE_EXCEEDED | PAS_PMT_UID_INVALID | PAS_PMT_UID_REQUIRED | PAS_PMTID_REQUIRED | PAS_REQUEST_EMPTY | PAS_ACCTID_REQUIRED | PAS_ACCT_NOT_FOUND_ERROR | PAS_PAGID_REQUIRED | PAS_PAGID_INVALID | PAS_PMTDTL_REQUIRED | PAS_TRNSTS_REQUIRED | PAS_TRNSTS_INVALID | PAS_PAYEE_EMPTY | PAS_PAYEE_MISSING | PAS_PAYEE_ACCT_MISSING | PAS_DUP_PAYEE | PAS_PAYEE_TYPE_INVALID | PAS_PAYEE_PAYID_TYPE_FORBIDDEN | PAS_PAYEE_BSB_REQUIRED | PAS_PAYEE_BSB_INVALID | PAS_PAYEE_ACCT_REQUIRED | PAS_PAYEE_ACCT_LENGTH | PAS_PAYEE_ACCT_ZERO | PAS_PAYEE_ACCT_INVALID | PAS_PAYEE_PAYID_TYPE_REQUIRED | PAS_PAYEE_PAYID_TYPE_INVALID | PAS_PAYEE_ID_INVALID | PAS_PAYEE_FORBIDDEN | PAS_PAYEE_BSB_FORBIDDEN | PAS_PAYEE_ACCT_FORBIDDEN | PAS_PAYEE_ACCTNAME_FORBIDDEN | PAS_PAYEE_ACCTNAME_RESTRICTED | PAS_DEFAULT_PAYEE_ACCT_NAME_REQUIRED | PAS_ULT_PAYEE_FORBIDDEN | PAS_ULT_PAYEE_RESTRICTED | PAS_PAYEE_ACCTNAME_REQUIRED | PAS_PAYEE_ACCTNAME_LENGTH | PAS_PAYEE_ACCTNAME_INVALID | PAS_ULT_PAYEE_REQUIRED | PAS_ULT_PAYEE_LENGTH | PAS_ULT_PAYEE_INVALID | PAS_AMT_REQUIRED | PAS_AMT_INVALID | PAS_REF_INVALID | PAS_SUPERID_REQUIRED | PAS_SUPERID_INVALID | PAS_SUPERCODE_REQUIRED | PAS_SUPERCODE_INVALID | PAS_BUSINESS_RULE_ERROR | PAS_COUNT_LIMIT_UNDEFINED | PAS_COUNT_LIMIT_EXCEEDED | PAS_AMOUNT_ERROR | PAS_ACC_PRD_LIMIT_EXCEEDED | PAS_MAX_AMT_EXCEEDED | PAS_MAX_TRN_AMT_EXCEEDED | PAS_MAX_TRN_CURR_INVALID | PAS_AMT_EXCEEDED | PAS_PERIOD_COUNT_EXCEEDED | PAS_AMOUNT_MISMATCH | PAS_PAYEE_BSB_NOT_ALLOWED | PAS_LIMIT_UNAVAILABLE | PAS_AGREEMENT_INVALID | PAS_AGREEMENT_NOT_STARTED | PAS_AGREEMENT_POINTINTIME_NOT_REACHED | PAS_AGREEMENT_ENDED | PAS_AGREEMENT_STATUS_INACTIVE | PAS_PAYMENT_TOO_SOON | PAS_DUPLICATE_INSTRUCTION | PAS_INSTRUCTION_NOT_UNIQUE | PAS_PIR_UPSERT_ERROR | PAS_FAIL_LIMIT_EXCEEDED | PAS_INSTRUCTION_NOT_FOUND | PAS_INSTRUCTION_DUPLICATE_REFUND | PAS_AGREEMENT_NOT_FOUND | PAS_JOB_EXISTS | PAS_JOB_NOT_FOUND_ERROR | PAS_JOBID_INVALID | PAS_SCHEDID_INVALID | PAS_NPP_GATEWAY_ERROR | PAS_NPP_GATEWAY_TIMEOUT | PAS_NPP_GATEWAY_NORESPONSE | PAS_NPP_GW_MGR_TIMEOUT | PAS_NPP_GW_MGR_NORESPONSE | PAS_DATA_UPDATE_ERROR | PAS_DATA_DELETE_ERROR | PAS_MAPPING_ERROR | PAS_APPLICATION_ERROR | PAS_IID_NOT_UNIQUE | PAS_LIMIT_RESET_ERROR | PAS_PAM_TIMEOUT_ERROR | PAS_TMR_TIMEOUT_ERROR | PAS_TMR_SYSTEM_ERROR | PAS_JOB_CREATE_ERROR | PAS_JOB_UPDATE_ERROR | PAS_JOB_EXPIRED | PAS_SCHEDULE_ERROR | PAS_UNEXPECTED_ERROR | PAS_DUPLICATE_EVENT>",
                    "description": "Monoova error code",
                    "example": ""
                  },
                  {
                    "name": "errorMessage",
                    "kind": "optional",
                    "type": "string",
                    "description": "More detailed description of the specific error which may include information from the specific request.",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Content",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "AsyncJobResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "description": "Unique id for logging",
                "example": ""
              },
              {
                "name": "uniqueRequestId",
                "kind": "optional",
                "type": "string",
                "description": "Server generated unique request identifier.",
                "example": ""
              },
              {
                "name": "paymentInitiationUID",
                "kind": "optional",
                "type": "string",
                "description": "User supplied PIR identifier.",
                "example": ""
              },
              {
                "name": "location",
                "kind": "optional",
                "type": "string",
                "description": "On async job completion, location contains the URL of the created resource.",
                "example": ""
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<Accepted | Processing | Completed | Failed | Expired>",
                "description": "Current status of the request.",
                "example": ""
              },
              {
                "name": "errorCode",
                "kind": "optional",
                "type": "string",
                "description": "On failure, error code indicating the reason for failure.",
                "example": ""
              },
              {
                "name": "errorMessage",
                "kind": "optional",
                "type": "string",
                "description": "On failure, detailed message explaining the reason for failure.",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/AsyncJobResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal Server Error",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "502",
        "description": "Bad Gateway",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "m__rejkvXNF2VjiGCdHb9",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstructionAsync/request/{uniqueRequestId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "FIzJmCT3MWfQurdlEajgE",
          "language": "csharp",
          "label": "C#",
          "code": "var options = new RestClientOptions(\"https://sand-api.monoova.com\")\n{\n   MaxTimeout = -1,\n};\nvar client = new RestClient(options);\nvar request = new RestRequest(\"/au/payto/pas-v1/PaymentInstructionAsync/request/{uniqueRequestId}\", Method.Get);\nrequest.AddHeader(\"accept\", \"application/json\");\nrequest.AddHeader(\"content-type\", \"application/json\");\nRestResponse response = await client.ExecuteAsync(request);\nConsole.WriteLine(response.Content);"
        },
        {
          "id": "FYkmHx5Zb0iebL1euwZXZ",
          "language": "javascript",
          "label": "JavaScript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstructionAsync/request/{uniqueRequestId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "nMFEZd3r2AV59Pay-KyyL",
          "language": "php",
          "label": "PHP",
          "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n   CURLOPT_URL => 'https://sand-api.monoova.com/au/payto/pas-v1/PaymentInstructionAsync/request/{uniqueRequestId}',\n   CURLOPT_RETURNTRANSFER => true,\n   CURLOPT_ENCODING => '',\n   CURLOPT_MAXREDIRS => 10,\n   CURLOPT_TIMEOUT => 0,\n   CURLOPT_FOLLOWLOCATION => true,\n   CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n   CURLOPT_CUSTOMREQUEST => 'GET',\n   CURLOPT_HTTPHEADER => array(\n      'accept: application/json',\n      'content-type: application/json'\n   ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n"
        }
      ],
      "selectedLanguageId": "m__rejkvXNF2VjiGCdHb9"
    },
    "results": {
      "languages": [
        {
          "id": "ZRFMhZXeJ3w6Rhp1AD2aY",
          "language": "200",
          "code": "// OK\n{\n  \"traceId\": \"\",\n  \"uniqueRequestId\": \"\",\n  \"paymentInitiationUID\": \"\",\n  \"location\": \"\",\n  \"status\": \"\",\n  \"errorCode\": \"\",\n  \"errorMessage\": \"\"\n}"
        },
        {
          "id": "489LgKN5p1QiJab41nDzc",
          "language": "201",
          "code": "// Created\n{\n  \"traceId\": \"\",\n  \"uniqueRequestId\": \"\",\n  \"paymentInitiationUID\": \"\",\n  \"location\": \"\",\n  \"status\": \"\",\n  \"errorCode\": \"\",\n  \"errorMessage\": \"\"\n}"
        },
        {
          "id": "Nf6i3jhLutRi_f89yGBUl",
          "language": "400",
          "code": "// Bad Request\n{\n  \"traceId\": \"\",\n  \"errors\": [\n    {\n      \"errorCode\": \"\",\n      \"errorMessage\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "EUlJZQpCMhT_ytDMR_gtC",
          "language": "404",
          "code": "// Not Found\n{\n  \"traceId\": \"\",\n  \"errors\": [\n    {\n      \"errorCode\": \"\",\n      \"errorMessage\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "on-YXoMa9BsMIxUYaxgtB",
          "language": "422",
          "code": "// Unprocessable Content\n{\n  \"traceId\": \"\",\n  \"uniqueRequestId\": \"\",\n  \"paymentInitiationUID\": \"\",\n  \"location\": \"\",\n  \"status\": \"\",\n  \"errorCode\": \"\",\n  \"errorMessage\": \"\"\n}"
        },
        {
          "id": "nvD-_JsSZTxMt5BRF-taf",
          "language": "500",
          "code": "// Internal Server Error\n"
        },
        {
          "id": "RfByTWJLJJIV3KBx9bXrK",
          "language": "502",
          "code": "// Bad Gateway\n"
        }
      ],
      "selectedLanguageId": "ZRFMhZXeJ3w6Rhp1AD2aY"
    }
  },
  "children": [
    {
      "id": "uxkbaTqqgNzOJocLXOiky",
      "type": "paragraph",
      "children": [
        {
          "text": "Queries the status of an asynchronous API request, such as \"Initiate Payment Async\". This endpoint requires the uniqueRequestId returned by the original Async API call."
        }
      ]
    }
  ]
}